创建 externalDomainName
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
通过创建新的 externalDomainName 对象并将其添加到现有的 samlOrWsFedExternalDomainFederation,将多个域添加到 SAML 或基于WS-Fed配置。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 |
权限(从最低特权到最高特权) |
| 委派(工作或学校帐户) |
IdentityProvider.ReadWrite.All |
| 委派(Microsoft 个人帐户) |
不支持。 |
| 应用程序 |
IdentityProvider.ReadWrite.All |
工作或学校帐户需要属于以下 Azure Active Directory (Azure AD) 角色之一:
HTTP 请求
POST /directory/federationConfigurations/{samlOrWsFedExternalDomainFederation ID}/microsoft.graph.samlOrWsFedExternalDomainFederation/domains
| 名称 |
说明 |
| Authorization |
Bearer {token}。必需。 |
| Content-Type |
application/json. Required. |
请求正文
在请求正文中,提供 externalDomainName 对象的 JSON 表示形式。
下表显示了创建 externalDomainName 时所需的属性。
响应
如果成功,此方法在响应正文中返回 201 Created 响应代码和 externalDomainName 对象。
示例
请求
POST https://graph.microsoft.com/beta/directory/federationConfigurations/d5a56845-6845-d5a5-4568-a5d54568a5d5/microsoft.graph.samlOrWsFedExternalDomainFederation/domains
Content-Type: application/json
{
"@odata.type": "microsoft.graph.externalDomainName",
"id": "contososuites.com"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var externalDomainName = new ExternalDomainName
{
Id = "contososuites.com"
};
await graphClient.Directory.FederationConfigurations["{identityProviderBase-id}"].Domains
.Request()
.AddAsync(externalDomainName);
const options = {
authProvider,
};
const client = Client.init(options);
const externalDomainName = {
'@odata.type': 'microsoft.graph.externalDomainName',
id: 'contososuites.com'
};
await client.api('/directory/federationConfigurations/d5a56845-6845-d5a5-4568-a5d54568a5d5/microsoft.graph.samlOrWsFedExternalDomainFederation/domains')
.version('beta')
.post(externalDomainName);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/directory/federationConfigurations/d5a56845-6845-d5a5-4568-a5d54568a5d5/microsoft.graph.samlOrWsFedExternalDomainFederation/domains"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphExternalDomainName *externalDomainName = [[MSGraphExternalDomainName alloc] init];
[externalDomainName setId:@"contososuites.com"];
NSError *error;
NSData *externalDomainNameData = [externalDomainName getSerializedDataWithError:&error];
[urlRequest setHTTPBody:externalDomainNameData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
ExternalDomainName externalDomainName = new ExternalDomainName();
externalDomainName.id = "contososuites.com";
graphClient.directory().federationConfigurations("d5a56845-6845-d5a5-4568-a5d54568a5d5").microsoft.graph.samlOrWsFedExternalDomainFederation().domains()
.buildRequest()
.post(externalDomainName);
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.externalDomainName",
"id": "contososuites.com"
}